[21.04 FEAT] Valgrind add new hardware support for z Systems

Bug #1825343 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
valgrind (Ubuntu)
Fix Released
High
Frank Heimes

Bug Description

Add support of IBM z14 instructions to Valgrind.
This is required when running applications built for z14 under Valgrind for debugging purposes.

The enablement of Valgrind with new instructions is crucial since the distro build environments use Valgrind for build validation of e.g. Glibc.

Related branches

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-163660 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → valgrind (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Which particular version of Valgrind is needed to make sure full z14 support is available?

Revision history for this message
Frank Heimes (fheimes) wrote :

Setting status to Incomplete until 19.10 development starts.

Changed in ubuntu-z-systems:
importance: Undecided → High
status: New → Incomplete
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2019-04-18 08:00 EDT-------
The requested valgrind version -> 3.15

Revision history for this message
Frank Heimes (fheimes) wrote : Re: [19.10 FEAT] Valgrind add new hardware support for z Systems

Valgrind 3.15 just came out on April 14th:
http://valgrind.org/downloads/current.html

Changed in ubuntu-z-systems:
status: Incomplete → Triaged
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2019-06-27 08:15 EDT-------
The needed patches did not made it into 3.15 , but should be cleanly applied to it due to the fact, that they are committed upstream for 3.16...

------- Comment From <email address hidden> 2019-07-10 03:56 EDT-------
The needed patches did not made it into 3.15 , but should be cleanly applied to it due to the fact, that they are committed upstream for 3.16...

Revision history for this message
Frank Heimes (fheimes) wrote : Re: [19.10 FEAT] Valgrind add new hardware support for z Systems

Unmarking LP 1828219 as duplicate of this,
leaving LP 1828219 for the upgrade to 3.15
and this one here for the additional patches that are requested to be applied on top.
Setting status to Incomplete until the commit IDs are shared.

Changed in ubuntu-z-systems:
status: Triaged → Incomplete
summary: - [19.10 FEAT] Valgrind add new hardware support for z Systems
+ [20.04 FEAT] Valgrind add new hardware support for z Systems
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2019-07-11 07:04 EDT-------
Need to move it from 19.10 -> 20.04. Will not make it upstream in time ......

tags: added: targetmilestone-inin2004
removed: targetmilestone-inin1910
Frank Heimes (fheimes)
Changed in valgrind (Ubuntu):
status: New → Incomplete
summary: - [20.04 FEAT] Valgrind add new hardware support for z Systems
+ [20.10 FEAT] Valgrind add new hardware support for z Systems
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-11-27 02:40 EDT-------
Moved to 20.10, will not make it in time for 20.04

tags: added: targetmilestone-inin2010
removed: targetmilestone-inin2004
tags: added: id-5cc79621736ead73529b2ed5
Revision history for this message
Dimitri John Ledkov (xnox) wrote : Re: [20.10 FEAT] Valgrind add new hardware support for z Systems

What shall we do for 20.10? Ship a snapshot? Hope there is a release?

Changed in valgrind (Ubuntu):
status: Incomplete → New
Changed in ubuntu-z-systems:
status: Incomplete → New
Frank Heimes (fheimes)
Changed in valgrind (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Foundations Team (canonical-foundations)
Changed in ubuntu-z-systems:
assignee: Canonical Foundations Team (canonical-foundations) → Skipper Bug Screeners (skipper-screen-team)
Changed in valgrind (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

Is 3.16.1 enough for this ticket?

information type: Private → Public
Changed in valgrind (Ubuntu):
status: Incomplete → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-07-10 06:22 EDT-------
> Is 3.16.1 enough for this ticket?
Not quite. Although 3.16.1 does contain support for some z14 instructions, the intention behind this ticket was to provide full support for binaries compiled with "-march=z14". There is no patch available for that yet. I'm currently working on this and hope to have it ready for upstream soon. Once the patch is accepted, back-porting to 3.16.1 should be easy.

Revision history for this message
Dimitri John Ledkov (xnox) wrote : Re: [20.10 FEAT] Valgrind add new hardware support for z Systems

Setting to incomplete until there are git commit ids to cherrypick.

Changed in ubuntu-z-systems:
status: Fix Committed → Incomplete
Changed in valgrind (Ubuntu):
status: Fix Committed → Incomplete
Changed in ubuntu-z-systems:
importance: High → Undecided
Changed in valgrind (Ubuntu):
assignee: Canonical Foundations Team (canonical-foundations) → nobody
summary: - [20.10 FEAT] Valgrind add new hardware support for z Systems
+ [21.04 FEAT] Valgrind add new hardware support for z Systems
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-08-19 08:06 EDT-------
Feature moved to 21.04. Feature is not complete implemented with 3.16.

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for valgrind (Ubuntu) because there has been no activity for 60 days.]

Changed in valgrind (Ubuntu):
status: Incomplete → Expired
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-10-27 06:00 EDT-------
Feature request moved to 22.04...

------- Comment From <email address hidden> 2020-10-27 06:02 EDT-------
Mistake: Changed to 21.04 again...

Frank Heimes (fheimes)
summary: - [21.04 FEAT] Valgrind add new hardware support for z Systems
+ [22.04 FEAT] Valgrind add new hardware support for z Systems
Frank Heimes (fheimes)
summary: - [22.04 FEAT] Valgrind add new hardware support for z Systems
+ [21.04 FEAT] Valgrind add new hardware support for z Systems
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-12-09 08:09 EDT-------
The Valgrind z14 support is upstream now:
https://sourceware.org/git/?p=valgrind.git;a=commit;h=159f132289160ab1a5a5cf4da14fb57ecdb248ca

Frank Heimes (fheimes)
Changed in valgrind (Ubuntu):
status: Expired → New
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Changed in valgrind (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Steve Langasek (vorlon)
tags: added: fr-992
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-01-26 05:52 EDT-------
(In reply to comment #28)
> Does the backport cleanly apply? If not please provide the "Done" backport
> here. Many thx
The patch should apply cleanly. Note that overall, the following patches should be picked for s390x since Valgrind 3.16:
* ba73f8d2ebe4b5f Bug 428648 - s390x: Force 12-bit amode for vector loads
in isel
* 5adeafad7a60b63 Bug 429864 - s390: Use Iop_CasCmp* to fix memcheck false
positives
* 159f132289160ab Bug 404076 - s390x: Implement z14 vector instructions

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-02 06:47 EDT-------
All information provided for final integration !

Revision history for this message
Frank Heimes (fheimes) wrote :
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
importance: Undecided → High
Changed in valgrind (Ubuntu):
importance: Undecided → High
assignee: Canonical Foundations Team (canonical-foundations) → Frank Heimes (fheimes)
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "deb-diff_hirsute-devel.diff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Frank Heimes (fheimes)
Changed in valgrind (Ubuntu):
status: New → Confirmed
Changed in ubuntu-z-systems:
status: Triaged → Confirmed
Revision history for this message
Frank Heimes (fheimes) wrote :
Frank Heimes (fheimes)
Changed in valgrind (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubuntu-z-systems:
status: Confirmed → Fix Committed
Revision history for this message
bugproxy (bugproxy) wrote : deb-diff_hirsute-devel.diff

Default Comment by Bridge

Revision history for this message
Brian Murray (brian-murray) wrote :

This was sponsored by Dimitri so unsubscribing the sponsors team.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package valgrind - 1:3.16.1-1ubuntu4

---------------
valgrind (1:3.16.1-1ubuntu4) hirsute; urgency=medium

  * Add powerpc fixes. LP: #1916749

valgrind (1:3.16.1-1ubuntu3) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

valgrind (1:3.16.1-1ubuntu2) hirsute; urgency=medium

  * debian/patches/lp-1825343-Bug-404076-s390*.patches
    adding support for IBM z14 instructions to Valgrind
    backported three commits from valgrind > v3.16.1
    Thanks to Andreas Arnez (LP: #1825343)

 -- Dimitri John Ledkov <email address hidden> Thu, 25 Feb 2021 16:11:02 +0000

Changed in valgrind (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-03-01 03:44 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers